---
title: <frame>
slug: Web/HTML/Element/frame
tags:
  - Deprecated
  - Element
  - HTML
  - Reference
  - Web
---
<div>{{HTMLRef}}{{Deprecated_header}}</div>

<p><code>&lt;frame&gt;</code> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a {{HTMLElement("frameset")}}.</p>

<p>Using the <code>&lt;frame&gt;</code> element is not encouraged because of certain disadvantages such as performance problems and lack of accessibility for users with screen readers. Instead of the <code>&lt;frame&gt;</code> element, {{HTMLElement("iframe")}} may be preferred.</p>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element supports the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("src")}}</dt>
 <dd>This attribute specifies the document that will be displayed by the frame.</dd>
 <dt>{{htmlattrdef("name")}}</dt>
 <dd>This attribute is used for labeling frames. Without labeling, every link will open in the frame that it’s in – the closest parent frame. See the {{htmlattrxref("target","a")}} attribute for more information.</dd>
 <dt>{{htmlattrdef("noresize")}}</dt>
 <dd>This attribute prevents resizing of frames by users.</dd>
 <dt>{{htmlattrdef("scrolling")}}</dt>
 <dd>This attribute defines the existence of a scrollbar. If this attribute is not used, the browser adds a scrollbar when necessary. There are two choices: "yes" for forcing a scrollbar even when it is not necessary and "no" for forcing no scrollbar even when it <em>is</em> necessary.</dd>
 <dt>{{htmlattrdef("marginheight")}}</dt>
 <dd>This attribute defines the height of the margin between frames.</dd>
 <dt>{{htmlattrdef("marginwidth")}}</dt>
 <dd>This attribute defines the width of the margin between frames.</dd>
 <dt>{{htmlattrdef("frameborder")}}</dt>
 <dd>This attribute allows you to specify a frame’s border.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;frameset cols="50%,50%"&gt;
  &lt;frame src="https://developer.mozilla.org/en/HTML/Element/iframe" /&gt;
  &lt;frame src="https://developer.mozilla.org/en/HTML/Element/frame" /&gt;
&lt;/frameset&gt;
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.frame")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("frameset")}}</li>
 <li>{{HTMLElement("iframe")}}</li>
</ul>
